From 1837b6c8a5f8bb2f7df9d1632eaccaad5481a04b Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 9 Jul 2020 23:25:48 +0200
Subject: [PATCH] Remove no longer working links from docs

The links to explanations of SSL concept at hpe.com were no longer
working and redirected to the OpenVMS main documentation set. The
EVComp FAQ has been lost in a site reorg, and IBM no longer provide
an online documentation for AIX 6.1. Fix by removing the now stale
links,
---
 doc/src/sgml/geqo.sgml         |  8 -----
 doc/src/sgml/installation.sgml | 55 ----------------------------------
 doc/src/sgml/libpq.sgml        |  3 --
 doc/src/sgml/runtime.sgml      |  3 --
 4 files changed, 69 deletions(-)

diff --git a/doc/src/sgml/geqo.sgml b/doc/src/sgml/geqo.sgml
index 39d2163d16..c3b925c21c 100644
--- a/doc/src/sgml/geqo.sgml
+++ b/doc/src/sgml/geqo.sgml
@@ -269,14 +269,6 @@
    genetic algorithms:
 
    <itemizedlist>
-    <listitem>
-     <para>
-      <ulink url="http://www.aip.de/~ast/EvolCompFAQ/">
-      The Hitch-Hiker's Guide to Evolutionary Computation</ulink>, (FAQ for <ulink
-      url="news://comp.ai.genetic"></ulink>)
-     </para>
-    </listitem>
-
     <listitem>
      <para>
       <ulink url="http://www.red3d.com/cwr/evolve.html">
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 4f89b4e930..b37d42744e 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2243,61 +2243,6 @@ ERROR:  could not load library "/opt/dbs/pgsql/lib/plperl.so": Bad address
      basis if this becomes a problem.
     </para>
 
-    <bibliography>
-     <title>References and Resources</title>
-
-     <biblioentry>
-      <biblioset relation="article">
-       <title><ulink url="http://publib.boulder.ibm.com/infocenter/pseries/topic/com.ibm.aix.doc/aixprggd/genprogc/lrg_prg_support.htm">Large Program Support</ulink></title>
-      </biblioset>
-      <biblioset relation="book">
-       <title>AIX Documentation: General Programming Concepts: Writing and Debugging Programs</title>
-      </biblioset>
-     </biblioentry>
-
-     <biblioentry>
-      <biblioset relation="article">
-       <title><ulink url="http://publib.boulder.ibm.com/infocenter/pseries/topic/com.ibm.aix.doc/aixprggd/genprogc/address_space.htm">Program Address Space Overview</ulink></title>
-      </biblioset>
-      <biblioset relation="book">
-       <title>AIX Documentation: General Programming Concepts: Writing and Debugging Programs</title>
-      </biblioset>
-     </biblioentry>
-
-     <biblioentry>
-      <biblioset relation="article">
-       <title><ulink url="http://publib.boulder.ibm.com/infocenter/pseries/v5r3/topic/com.ibm.aix.doc/aixbman/prftungd/resmgmt2.htm">Performance Overview of the Virtual Memory Manager (VMM)</ulink></title>
-      </biblioset>
-      <biblioset relation="book">
-       <title>AIX Documentation: Performance Management Guide</title>
-      </biblioset>
-     </biblioentry>
-
-     <biblioentry>
-      <biblioset relation="article">
-       <title><ulink url="http://publib.boulder.ibm.com/infocenter/pseries/v5r3/topic/com.ibm.aix.doc/aixbman/prftungd/memperf7.htm">Page Space Allocation</ulink></title>
-      </biblioset>
-      <biblioset relation="book">
-       <title>AIX Documentation: Performance Management Guide</title>
-      </biblioset>
-     </biblioentry>
-
-     <biblioentry>
-      <biblioset relation="article">
-       <title><ulink url="http://publib.boulder.ibm.com/infocenter/pseries/v5r3/topic/com.ibm.aix.doc/aixbman/prftungd/memperf6.htm">Paging-space thresholds tuning</ulink></title>
-      </biblioset>
-      <biblioset relation="book">
-       <title>AIX Documentation: Performance Management Guide</title>
-      </biblioset>
-     </biblioentry>
-
-     <biblioentry>
-       <title><ulink url="http://www.redbooks.ibm.com/abstracts/sg245674.html?Open">Developing and Porting C and C++ Applications on AIX</ulink></title>
-       <publisher>
-        <publishername>IBM Redbook</publishername>
-       </publisher>
-     </biblioentry>
-    </bibliography>
    </sect3>
   </sect2>
 
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index d1ccaa775a..f7b765f76d 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -7916,9 +7916,6 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
    that the <literal>libssl</literal> and/or <literal>libcrypto</literal> libraries
    have been initialized by your application, so that
    <application>libpq</application> will not also initialize those libraries.
-   See <ulink
-   url="http://h41379.www4.hpe.com/doc/83final/ba554_90007/ch04.html"></ulink>
-   for details on the SSL API.
   </para>
 
   <para>
diff --git a/doc/src/sgml/runtime.sgml b/doc/src/sgml/runtime.sgml
index 331d01b444..937bb2e8ac 100644
--- a/doc/src/sgml/runtime.sgml
+++ b/doc/src/sgml/runtime.sgml
@@ -2257,9 +2257,6 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
    intermediate certificates were created with <literal>v3_ca</literal>
    extensions).  Certificate Revocation List (CRL) entries are also
    checked if the parameter <xref linkend="guc-ssl-crl-file"/> is set.
-   (See <ulink
-   url="http://h41379.www4.hpe.com/doc/83final/ba554_90007/ch04s02.html"></ulink>
-   for diagrams showing SSL certificate usage.)
   </para>
 
   <para>
-- 
2.21.1 (Apple Git-122.3)

